// #autoload
// #name = dropper
// #version = 1.0
// #date = July 5, 2001
// #author = |eX|DarkOmen++
// #warrior =  DarkOmen++
// #email = wildbmxr@uswest.net
// #web = http://scripts.tribalwar.com/debig3
// #description = Lets your team know where the enemy is coming from
// #credit = DEbig3 for the menu hud code.
// #status = beta
// #readme =

function incomingBuildMenus() {
	%resx = getWord($pref::Video::resolution, 0);
	if (%resx == "640") {
		$incomingpos = "20 255";
	}
	else if (%resx == "800") {
		$incomingpos = "20 375";
	}
	else if (%resx == "1024") {
		$incomingpos = "20 543";
	}
	else if (%resx == "1280") {
		$incomingpos = "20 799";
	}
	else if (%resx == "1600") {
		$incomingpos = "20 975";
	}
	$incomingMainMenu = new ShellFieldCtrl(incomingMainMenu) {
			profile = "GuiChatBackProfile";
			horizSizing = "left";
			vertSizing = "top";
			position = $incomingpos;
			extent = "100 175";
			minExtent = "2 2";
			visible = "0";
			schedule = "";
	};
    playgui.add($incomingMainMenu);
    $incomingMainMenu.text = new GuiMLTextCtrl() {
			profile = "GuiTextObjHudCenterProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "100 175";
			visible = "1";
	};
 	$incomingMainMenu.add($incomingMainMenu.text);
 	$incomingMainMenu.text.setValue("Dropper Menu:\n1: West\n2: East\n3: South\n4:North\n5: North West\n6: North East\n7: South West\n8: South East");
}

function incomingSetBinds() {
	if (!isObject(mainIncomingBinds))
		new actionMap(mainIncomingBinds);
    mainIncomingBinds.bindCmd(keyboard, "escape", "incomingCloseMenus();", "");
	mainIncomingBinds.bindCmd(keyboard, "1", "incomingenemies(\"West\");", "");
	mainIncomingBinds.bindCmd(keyboard, "2", "incomingenemies(\"East\");", "");
	mainIncomingBinds.bindCmd(keyboard, "3", "incomingenemies(\"South\");", "");
    mainIncomingBinds.bindCmd(keyboard, "4", "incomingenemies(\"North\");", "");
    mainIncomingBinds.bindCmd(keyboard, "5", "incomingenemies(\"Northwest\");", "");
    mainIncomingBinds.bindCmd(keyboard, "6", "incomingenemies(\"Northeast\");", "");
    mainIncomingBinds.bindCmd(keyboard, "7", "incomingenemies(\"Southwest\");", "");
    mainIncomingBinds.bindCmd(keyboard, "8", "incomingenemies(\"Southeast\");", "");
 }

  
function incomingOpenMenu(%val) {
if (%val) {
	incomingCloseMenus();
	$incomingMainMenu.setVisible("1");
	mainIncomingBinds.push();
}
}

function incomingCloseMenus() {
	$incomingMainMenu.setVisible("0");
	mainIncomingBinds.pop();
}

function incomingSetHudPosition() {
	incomingMainMenu.position = $incomingpos;
}

function incomingenemies(%name) {
    commandToServer('TeamMessageSent', "Incoming enemies from the " @ %name);
    incomingCloseMenus();
}

package incomingBind {
	function OptionsDlg::onWake( %this ) {
		if (!$incomingBind) {
			$RemapName[$RemapCount]="Incoming";
			$RemapCmd[$RemapCount]="incomingOpenMenu";
			$RemapCount++;
			$incomingBind = true;
		}
		parent::onWake( %this );
	}

	function PlayGui::onWake(%this) {
		parent::onWake(%this);
		incomingBuildMenus();
        incomingSetBinds();
		schedule(2000, 0, incomingSetHudPosition);
	}
};

activatePackage(incomingBind);
